You are not logged in.

#426 2010-06-23 14:07:16

samuele.mattiuzzo
Member
From: Treviso, IT
Registered: 2009-10-12
Posts: 307
Website

Re: yaourt: pacman frontend

nope, i downloaded it from the website smile anyway, i reinstalled it and it works smile

Offline

#427 2010-06-23 22:25:53

madek
Member
From: Santiago, Chile
Registered: 2009-09-08
Posts: 98
Website

Re: yaourt: pacman frontend

recompile and install package-query and yaourt, and works fine

Offline

#428 2010-07-10 21:12:28

amenditman
Member
From: Valrico, FL
Registered: 2010-05-03
Posts: 6
Website

Re: yaourt: pacman frontend

I installed mine from AUR and reinstalling does not fix it.  I still get /usr/bin/pacman: unrecognized option '--print-uris'

Does installing from site or the 'Easy' method make a difference to a solution to this problem?


Tweak it 'til it breaks, then learn how to fix it. Linux Is For Everyone (L.I.F.E.)

Offline

#429 2010-07-11 21:30:16

tuxce
Member
Registered: 2008-02-19
Posts: 56
Website

Re: yaourt: pacman frontend

There is no call to pacman with --print-uris in actual version of yaourt.

Maybe you installed a fork version like yaourt-abs ?

Offline

#430 2010-07-11 23:06:58

amenditman
Member
From: Valrico, FL
Registered: 2010-05-03
Posts: 6
Website

Re: yaourt: pacman frontend

Nope.

I installed by following the Yaourt instructions for 'From the AUR' here
http://wiki.archlinux.org/index.php/Yaourt#Using_yaourt

I finally solved my problems by manually deleting all downloaded versions of both package-query.tar.gz and yaourt.tar.gz and doing an install from scratch.


Tweak it 'til it breaks, then learn how to fix it. Linux Is For Everyone (L.I.F.E.)

Offline

#431 2010-08-28 05:54:48

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 454

Re: yaourt: pacman frontend

today I tried to instal usb-creator. I am using KDE and the software has a lot of gnome-depencies. As I only wanted to make a bootable-rescue-USB i thoght i would instal it and than make a simple yaourt -Rs usb-creator. But the install fails and i stayed with a lot of dependencies. Would be nice if in this case yaourt would give the option to uninstall those packages if main-package instal fails.




And yaourt -Qdt shows me dependencies not needed anymore but only gives the option to remove them with -Rcs wich would remove other packages wich i don't want to remove...Why is there no -Rs option?

Last edited by capoeira (2010-08-28 06:03:25)

Offline

#432 2010-09-16 02:16:02

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 454

Re: yaourt: pacman frontend

any way to update including checking if aur-packages exists wich are more up to date as repro-packages?


capoeira wrote:

And yaourt -Qdt shows me dependencies not needed anymore but only gives the option to remove them with -Rcs wich would remove other packages wich i don't want to remove...Why is there no -Rs option?

any answer on that one?

Last edited by capoeira (2010-09-16 02:16:19)

Offline

#433 2010-09-16 09:32:00

Erus_Iluvatar
Member
Registered: 2010-04-01
Posts: 102

Re: yaourt: pacman frontend

pacman -Rs $(pacman -Qdt)


I'm french, don't mind my mistakes in english.

Offline

#434 2010-09-16 12:24:17

tuxce
Member
Registered: 2008-02-19
Posts: 56
Website

Re: yaourt: pacman frontend

-Qdt shows unrequired packages, so -c is harmless here.

Offline

#435 2010-09-17 02:19:42

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 454

Re: yaourt: pacman frontend

tuxce wrote:

-Qdt shows unrequired packages, so -c is harmless here.

in my case it tries to remove kde-meta-kdebase, so when doing -Rcs it will uninstall KDE-packages with it

Offline

#436 2010-11-16 08:45:11

thedeli
Member
Registered: 2010-02-14
Posts: 53

Re: yaourt: pacman frontend

==> Downloading catalyst PKGBUILD from AUR...
==> ERROR: catalyst not found in AUR.
I am getting this error for every package. is there any reason for that?

Offline

#437 2010-11-16 10:30:09

tuxce
Member
Registered: 2008-02-19
Posts: 56
Website

Re: yaourt: pacman frontend

Can you try:

curl https://aur.archlinux.org//packages/catalyst/catalyst.tar.gz -o catalyst.tar.gz

if it works, run:

bash -x yaourt -S catalyst |& tee yaourt.log

and pastebin the yaourt.log.

Offline

#438 2010-11-26 20:18:47

zebulon
Member
Registered: 2008-10-20
Posts: 235

Re: yaourt: pacman frontend

Wow I am amazed by the speed increase of package-query-0.5. I just looked at the git comments. Is this the effect of the threading?

Offline

#439 2010-11-29 23:26:22

nXqd
Member
Registered: 2010-07-01
Posts: 173
Website

Re: yaourt: pacman frontend

zebulon wrote:

Wow I am amazed by the speed increase of package-query-0.5. I just looked at the git comments. Is this the effect of the threading?

I'm really amazed at latest yaourt speed too big_smile


When you live for a strong purpose, then hard work isn't an option. It's a necessity. - Steve Pavlina
dotFiles

Offline

#440 2010-12-02 15:53:39

em
Member
Registered: 2009-05-10
Posts: 9

Re: yaourt: pacman frontend

I am using yaourt for a long time but from a few days I am getting this "pthread error":

[root@xyz~]# yaourt -Syu --aur
:: Synchronizowanie baz danych z pakietami...
 core jest już w najnowszej wersji
 extra jest już w najnowszej wersji
 community jest już w najnowszej wersji
pthread error 11

[root@xyz~]#

Any idea?

Offline

#441 2010-12-02 15:59:17

zebulon
Member
Registered: 2008-10-20
Posts: 235

Re: yaourt: pacman frontend

I cannot speak for tuxce, but this is certainly related to the new threading code that was introduced in package-query 0.5. What is your version of package-query? If it is 0.5, you should upgrade to 0.5.1 (using makepkg and pacman -U to install) because it corrects a threading bug.

Offline

#442 2010-12-02 16:32:00

em
Member
Registered: 2009-05-10
Posts: 9

Re: yaourt: pacman frontend

Strange, because:

[root@xyz~]# yaourt -Qs package-query
local/package-query 0.5.1-1
    Query ALPM and AUR

I also reinstalled package-query just in case but without result.

[2010-12-02 17:26] upgraded package-query (0.5.1-1 -> 0.5.1-1)

Last edited by em (2010-12-02 16:32:17)

Offline

#443 2010-12-02 20:03:26

tuxce
Member
Registered: 2008-02-19
Posts: 56
Website

Re: yaourt: pacman frontend

em, did you set a limit for the number of processes ?
how much foreign packages do you have ?

Offline

#444 2010-12-02 20:17:22

em
Member
Registered: 2009-05-10
Posts: 9

Re: yaourt: pacman frontend

tuxce wrote:

em, did you set a limit for the number of processes ?

Yes, but it has not been reached - 512.

tuxce wrote:

how much foreign packages do you have ?

[root@xyz~]# pacman -Qm|wc -l
138

Last edited by em (2010-12-02 20:39:59)

Offline

#445 2010-12-02 21:26:00

tuxce
Member
Registered: 2008-02-19
Posts: 56
Website

Re: yaourt: pacman frontend

Perhaps the number of processes + threads exceeded 512? (ps -eL | wc -l)
I'll modify the code to wait instead of exit when the limit is reached.

Offline

#446 2010-12-02 21:37:06

em
Member
Registered: 2009-05-10
Posts: 9

Re: yaourt: pacman frontend

I tried with unlimited and same error:

[root@xyz~]# ulimit -u unlimited
[root@xyz~]# ulimit -u
unlimited
[root@xyz~]# yaourt -Syu --aur
:: Synchronizowanie baz danych z pakietami...
 core jest już w najnowszej wersji
 extra jest już w najnowszej wersji
 community jest już w najnowszej wersji
pthread error 11

Offline

#447 2010-12-04 18:21:01

tuxce
Member
Registered: 2008-02-19
Posts: 56
Website

Re: yaourt: pacman frontend

can you try package-query-git ?

Offline

#448 2010-12-04 20:15:15

em
Member
Registered: 2009-05-10
Posts: 9

Re: yaourt: pacman frontend

Yes, I think my problem is solved, git version gave me useful info:

[root@xyz ~]# yaourt -Syu --aur
:: Synchronizowanie baz danych z pakietami...
 core jest już w najnowszej wersji
 extra jest już w najnowszej wersji
 community jest już w najnowszej wersji
curl error: Out of memory
curl error: Out of memory
curl error: SSL connect error
curl error: SSL connect error
/usr/lib/yaourt/basicfunctions.sh: line 12: 19757 Naruszenie ochrony pamięci   package-query "${PKGQUERY_C_ARG[@]}" "$@"   <--- segfault

So I checked my limits again:

virtual memory          (kbytes, -v) 1024000

and raised it a bit.

I thought that 1024000 kbytes should be enough but looks like package-query has really huge appetite for memory. There is no way to optimize this?

Offline

#449 2010-12-05 16:05:19

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,096
Website

Re: yaourt: pacman frontend

The proper solution here is to create a simple thread pool and let the threads control the data, not let the data control the threads.

Offline

#450 2010-12-06 17:41:03

tuxce
Member
Registered: 2008-02-19
Posts: 56
Website

Re: yaourt: pacman frontend

At first I did not understand what you've meant, but reading cower's code, actually, it's a good solution, thank you.

(Implement https://bugs.archlinux.org/task/17583 would be better neutral)

Offline

Board footer

Powered by FluxBB